---
title: "Add Channel to User List"
slug: "add-channel-to-user-list"
updated: 2026-06-01T06:32:04Z
published: 2026-06-01T06:32:04Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Channel to User List

Post/api/v1/channels.open

Add a channel back to the user's list of channels in the workspace's sidebar.

### Changelog

| Version | Description |
| --- | --- |
| 0.48.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='e2179313-ffab-4e8e-b83f-7c03a7994d51'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='d840abf4-072d-45e5-9ce6-cce66d52ac98'>Example</option>
</select>Example

```json
{
  "roomId": "ByehQjC44FwMeiLbX"
}
```

object  roomIdstring    Required

The channel's ID.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='b1257e04-0ceb-4f97-bdf7-a9f22e0028f0'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='e6a0162d-cf23-402d-ad3b-3b3c7cff74d1'>Success</option>
</select>Success

```json
{
  "success": true
}
```

object  successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='0c14bfd0-0290-4ddf-ade1-7ec1214fe237'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='bc5b5ed9-05a4-4612-b94c-1ca673bddabe'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
